KPACKAGETOOL6(1)

NOME
kpackagetool6 - Installa, elenca, rimuovi pacchetti Plasma

SINOSSI

kpackagetool6 [-v, --version] [-h, --hash percorso] [-g, --global] [-t, --type tipo] [-i, --install percorso] [-u, --upgrade percorso] [-l, --list] [--list-types] [-r, --remove nome] [-p, --packageroot percorso] [--generate-index]

DESCRIZIONE

kpackagetool6 è uno strumento per la riga di comando per installare, elencare e rimuovere i pacchetti di Plasma.

OPZIONI

-v, --version
    Mostra le informazioni sulla versione.

-h, --help
    Mostra questo messaggio di aiuto.

--hash percorso
    Genera l'hash SHA1 per il pacchetto nel «percorso» dato.

-g, --global
    Per l'installazione o la rimozione, opera sui pacchetti installati per tutti gli utenti.

-t, --type tipo
    Il tipo del pacchetto, corrispondente al tipo di servizio del pacchetto di estensione, ad es. KPackage/Generic, Plasma/Theme, Plasma/Wallpaper, Plasma/Applet, ecc..

-i, --install percorso
    Installa il pacchetto nel «percorso» dato.

-s, --show nome
    Mostra informazioni per il pacchetto «nome».

-u, --upgrade percorso
    Aggiorna il pacchetto al «percorso» dato.

-l, --list
    Elenca pacchetti installati.

--list-types
    Elenca tutti i tipi di pacchetti noti che si possono installare.

-r, --remove nome
    Rimuovi il pacchetto chiamato «nome».

-p, --packageroot percorso
    Percorso assoluto alla radice dei pacchetti. Se non indicato, si cercherà nelle cartelle standard dei dati per questa sessione di Plasma.

--generate-index percorso
    Ricrea l'indice delle estensioni. Va usato assieme con una tra le opzioni -t e -g. Ricrea l'indice per la radice del tipo dato o per la radice del pacchetto. Opera nella directory dell'utente, a meno che -g non sia stato specificato.

VEDI ANCHE

Una documentazione più dettagliata è disponibile a help:/plasma-desktop (inserisci questo URL in Konqueror o esegui khelpcenter help:/plasma-desktop).

AUTORI

kpackagetool6 è stato scritto da Aaron Seigo <aseigo@kde.org>.